Update an account
curl --request PUT \
--url https://api-sandbox.circle.com/v1/accounts/{accountId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Treasury US"
}
'import requests
url = "https://api-sandbox.circle.com/v1/accounts/{accountId}"
payload = { "description": "Treasury US" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: 'Treasury US'})
};
fetch('https://api-sandbox.circle.com/v1/accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"accountId": "1000662322",
"entityId": "a49f9b1d-75e0-44a9-b8d2-4293b3f11ebd",
"type": "first_party",
"purpose": "custody",
"status": "active",
"description": "End User Wallet",
"balances": [
{
"amount": "3.14",
"currency": "USD"
}
],
"clientEntityId": "a3f1b2c4-d5e6-7890-abcd-ef1234567890",
"businessPii": {
"businessName": "Acme Corporation",
"businessUniqueIdentifier": "12-3456789",
"identifierIssuingCountryCode": "US",
"address": {
"line1": "100 Pine Street",
"city": "San Francisco",
"postalCode": "94111",
"country": "US",
"line2": "Suite 2500",
"district": "CA"
}
},
"groupId": "9c0f1c0d-6c61-4f3d-9b8a-1a3a4b3c5d6e"
}
}{
"code": 2,
"message": "API parameter invalid."
}{
"code": 4,
"message": "Unauthorized."
}{
"code": 404,
"message": "Not found."
}{
"code": -1,
"message": "Something went wrong. errId: 1f0b0c455e40f753f07b4f0ae6abd4b4"
}Update an account
Updates mutable fields on an account. Only fields present in the request body are changed; omitted fields are left untouched.
PUT
/
v1
/
accounts
/
{accountId}
Update an account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identifier of the account.
Example:
"1000565227"
Body
application/json
Mutable account fields. All fields are optional; only fields present in the request body are updated. Omitting a field leaves it unchanged.
Human-readable account description.
Maximum string length:
255Example:
"Treasury US"
Response
Successfully updated the account.
An account exposed by the Accounts API.
Show child attributes
Show child attributes
Was this page helpful?
⌘I